/* */

address command "copy english.strings /Install"

if ~show("l","rexxsupport.library") then do
  if addlib("rexxsupport.library",0,-30,0) then
    say("add lib")
  else
    exit 10
  end


address command 'list >t:qwe strings/~(#?.info) lformat="%s"'

open(1,"Script","R")
open(2,"/Install/InstallModePro","W")

do until eof(1)
  line=readln(1)
  if line="INSERT_STRINGS" then 
  do

    if open(4,"t:qwe") then
    do
      langlist=""
      l=1
      filename="english"
      do until eof(4)
        if filename~="" then 
        do
          lang_id='lang_'l
          writeln(2, '(set 'lang_id' "'filename'")')
          langlist=langlist || " " || lang_id
          l=l+1
        end
        filename=readln(4)
      end
      close(4)
    end
    
    writeln(2, '(set lang (askchoice (prompt "Select a language.\nElija un idioma.\naa, a .\nKrlek vlassz egy nyelvet.")')
    writeln(2, '                         (help   "Select a language.\nElija un idioma.\naa, a .\nKrlek vlassz egy nyelvet!")')
    writeln(2, '                         (choices 'langlist')')
    writeln(2, '                         (default 0)')
    writeln(2, ')         )')
    writeln(2, '(set @language (select lang 'langlist'))')
  
  
    /* copy english */
    if open(3,"english.strings") then
    do
      do until eof(3)
        line=readln(3)
        writeln(2,line)
      end
      close(3)
    end
    
    /* copy other languages */
    if open(4,"t:qwe") then
    do
      do until eof(4)
        filename=readln(4)
        
        if open(3,"strings/" || filename) then do
          writeln(2,'(if (= @language "' || filename || '")')
          writeln(2,'  (')
          do until eof(3)
            line=readln(3)
            writeln(2,'    ' || line)
          end
          writeln(2,') )')
          close(3)
        end
      end
      close(4)  
    end
  end
  else
    writeln(2,line)    
end

